Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DynamicA.cpp File Reference

`#include "DynamicC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for DynamicA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
namespace | Dynamic
## Functions
void | operator<<= (CORBA::Any &_tao_any, const Dynamic::ParameterList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Dynamic::ParameterList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::ParameterList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::ParameterList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const Dynamic::ExceptionList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Dynamic::ExceptionList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Dynamic::ExceptionList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Dynamic::ExceptionList *&_tao_elem)
## Variables
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | Dynamic_ParameterList_0 (CORBA::tk_sequence,&Dynamic::_tc_Parameter, 0U)
::CORBA::TypeCode_ptr const | tc_Dynamic_ParameterList_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_Dynamic_ParameterList (CORBA::tk_alias,"IDL:omg.org/Dynamic/ParameterList:1.0","ParameterList",&TAO::TypeCode::tc_Dynamic_ParameterList_0)
::CORBA::TypeCode_ptr const | _tc_ParameterList
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_Dynamic_ContextList (CORBA::tk_alias,"IDL:omg.org/Dynamic/ContextList:1.0","ContextList",&CORBA::_tc_StringSeq)
::CORBA::TypeCode_ptr const | _tc_ContextList
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | Dynamic_ExceptionList_0 (CORBA::tk_sequence,&CORBA::_tc_TypeCode, 0U)
::CORBA::TypeCode_ptr const | tc_Dynamic_ExceptionList_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_Dynamic_ExceptionList (CORBA::tk_alias,"IDL:omg.org/Dynamic/ExceptionList:1.0","ExceptionList",&TAO::TypeCode::tc_Dynamic_ExceptionList_0)
::CORBA::TypeCode_ptr const | _tc_ExceptionList
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_Dynamic_RequestContext (CORBA::tk_alias,"IDL:omg.org/Dynamic/RequestContext:1.0","RequestContext",&CORBA::_tc_StringSeq)
::CORBA::TypeCode_ptr const | _tc_RequestContext

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::ExceptionList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Dynamic::ExceptionList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::ParameterList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Dynamic::ParameterList & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::ExceptionList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::ExceptionList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::ParameterList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::ParameterList *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_Dynamic_ContextList(CORBA::tk_alias,"IDL:omg.org/Dynamic/ContextList:1.0","ContextList",&CORBA::_tc_StringSeq)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_Dynamic_ExceptionList(CORBA::tk_alias,"IDL:omg.org/Dynamic/ExceptionList:1.0","ExceptionList",&TAO::TypeCode::tc_Dynamic_ExceptionList_0)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_Dynamic_ParameterList(CORBA::tk_alias,"IDL:omg.org/Dynamic/ParameterList:1.0","ParameterList",&TAO::TypeCode::tc_Dynamic_ParameterList_0)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_Dynamic_RequestContext(CORBA::tk_alias,"IDL:omg.org/Dynamic/RequestContext:1.0","RequestContext",&CORBA::_tc_StringSeq)`[static]`

TAO_Export::CORBA::TypeCode_ptr const Dynamic::_tc_ContextList

| Initial value:
        &_tao_tc_Dynamic_ContextList

TAO_Export::CORBA::TypeCode_ptr const Dynamic::_tc_ExceptionList

| Initial value:
        &_tao_tc_Dynamic_ExceptionList

TAO_Export::CORBA::TypeCode_ptr const Dynamic::_tc_ParameterList

| Initial value:
        &_tao_tc_Dynamic_ParameterList

TAO_Export::CORBA::TypeCode_ptr const Dynamic::_tc_RequestContext

| Initial value:
        &_tao_tc_Dynamic_RequestContext

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::Dynamic_ExceptionList_0(CORBA::tk_sequence,&CORBA::_tc_TypeCode, 0U)

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::Dynamic_ParameterList_0(CORBA::tk_sequence,&Dynamic::_tc_Parameter, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_Dynamic_ExceptionList_0

| Initial value:
          &Dynamic_ExceptionList_0

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_Dynamic_ParameterList_0

| Initial value:
          &Dynamic_ParameterList_0